kind: pipeline
type: docker
name: default
platform:
  arch: amd64
  os: linux
steps:
  - name: test
    image: golang:1.16.4
    commands:
      - go test
  - name: build
    image: golang:1.16.4
    commands:
      - go build -ldflags "-X main.version=${DRONE_COMMIT_SHA:0:8}"
  - name: publish
    image: plugins/docker:19.03.8
    environment:   
      PLUGIN_REGISTRY: 10.10.14.176:5000
      PLUGIN_REPO: 10.10.14.176:5000/go/example
    settings:
      insecure: true
      tags:
        - latest
        - ${DRONE_STAGE_OS}-${DRONE_STAGE_ARCH}-${DRONE_REPO_BRANCH}-${DRONE_COMMIT_SHA:0:8}